namespace QueryExpressions;

public class SillyLinqProvider
{
    public SillyLinqProvider Where(Func<string, int> pred)
    {
        Console.WriteLine("Wywołano metodę Where");
        return this;
    }

    public string Select<T>(Func<DateTime, T> map)
    {
        Console.WriteLine($"Wywołano metodę Select, przekazując argument typu {typeof(T)}");
        return "Ten operator nie ma sensu";
    }
}